# List template tags (/docs/api-reference/tags/list-template-tags)

<!-- agent-signals: reading_time_min: 1 · est_tokens: 920 · updated: 2026-07-30 -->
Related: [Assign tags](/docs/api-reference/tags/assign-tags.md), [Delete tags](/docs/api-reference/tags/delete-tags.md), [List team volumes](/docs/api-reference/volumes/list-team-volumes.md)

# List template tags

`GET /templates/{templateID}/tags`

List all tags for a template

## OpenAPI

```json
{
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "parameters": [
    {
      "name": "templateID",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successfully returned the template tags",
      "content": {
        "application/json": {
          "schema": {
            "type": "array",
            "items": {
              "required": [
                "tag",
                "buildID",
                "createdAt"
              ],
              "properties": {
                "tag": {
                  "type": "string",
                  "description": "The tag name"
                },
                "buildID": {
                  "type": "string",
                  "format": "uuid",
                  "description": "Identifier of the build associated with this tag"
                },
                "createdAt": {
                  "type": "string",
                  "format": "date-time",
                  "description": "Time when the tag was assigned"
                }
              },
              "type": "object"
            }
          }
        }
      }
    },
    "401": {
      "description": "Authentication error",
      "content": {
        "application/json": {
          "schema": {
            "required": [
              "code",
              "message"
            ],
            "properties": {
              "code": {
                "type": "integer",
                "format": "int32",
                "description": "Error code"
              },
              "message": {
                "type": "string",
                "description": "Error"
              }
            },
            "type": "object"
          }
        }
      }
    },
    "403": {
      "description": "Forbidden",
      "content": {
        "application/json": {
          "schema": {
            "required": [
              "code",
              "message"
            ],
            "properties": {
              "code": {
                "type": "integer",
                "format": "int32",
                "description": "Error code"
              },
              "message": {
                "type": "string",
                "description": "Error"
              }
            },
            "type": "object"
          }
        }
      }
    },
    "404": {
      "description": "Not found",
      "content": {
        "application/json": {
          "schema": {
            "required": [
              "code",
              "message"
            ],
            "properties": {
              "code": {
                "type": "integer",
                "format": "int32",
                "description": "Error code"
              },
              "message": {
                "type": "string",
                "description": "Error"
              }
            },
            "type": "object"
          }
        }
      }
    },
    "500": {
      "description": "Server error",
      "content": {
        "application/json": {
          "schema": {
            "required": [
              "code",
              "message"
            ],
            "properties": {
              "code": {
                "type": "integer",
                "format": "int32",
                "description": "Error code"
              },
              "message": {
                "type": "string",
                "description": "Error"
              }
            },
            "type": "object"
          }
        }
      }
    }
  }
}
```
